<div class="container">
    <div class="row">
        <span class="title text-center m-3 font-weight-light fs-1 mt-4" i18n>My consents</span>
    </div>
 </div>

<div class="container">
    <div class="row">
        <div class="mt-5 mb-5 text-box notice d-flex bg-info bg-opacity-5 rounded border-info border border-dashed p-6">
            <!--begin::Icon-->
            <!--begin::Svg Icon | path: icons/duotune/general/gen044.svg-->
            <span class="svg-icon svg-icon-2tx svg-icon-info me-4">
                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                    <rect opacity="0.3" x="2" y="2" width="20" height="20" rx="10" fill="black"></rect>
                    <rect x="11" y="14" width="7" height="2" rx="1" transform="rotate(-90 11 14)" fill="black"></rect>
                    <rect x="11" y="17" width="2" height="2" rx="1" transform="rotate(-90 11 17)" fill="black"></rect>
                </svg>
            </span>
            <div class="d-flex flex-stack flex-grow-1">
                <div class="fw-bold">
                    <h4 class="text-gray-900 fw-bolder" i18n>Useful information</h4>
                    <div class="fs-6 text-gray-700" i18n>
                        Private companies, public organisations and educational institutions may request your data for specific purposes. When you tick a box, you give permission to share your data for the purpose you select.
                    </div>
                    <div class="fs-6 mt-2 text-gray-700" i18n>
                        For each organisation that requests data, you will receive some points. 
                    </div>
                    <div class="fs-6 mt-2 text-gray-700" i18n>
                        You will miss offers for which you did not upload data or not given us the permission to share.
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row mt-5">
        <div class="card card-bordered card-flush shadow-sm">
            <div class="card-header">
                <div class="card-title">
                    <h3 class="fw-bold fs-1" i18n>Preferences</h3>
                </div>
             </div>
             <div class="card-body">
                <table class="table table-rounded border gy-7 gs-7 mb-5">
                    <thead>
                        <tr class="fw-bold fs-6 text-gray-800 border-bottom border-gray-200">
                            <th class="text-center"></th>
                            <th class="text-center"></th>
                            <th class="text-center" *ngFor="let row of this.preferences_table">{{row}}</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td i18n>Commercial purpose</td>
                            <td>
                                <a placement="top" ngbTooltip="{{this.comm_purp_trans}}" class="btn btn-icon btn-light"><span class="svg-icon svg-icon-1"><svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <rect opacity="0.3" x="2" y="2" width="20" height="20" rx="10" fill="black"/>
                                    <path d="M11.276 13.654C11.276 13.2713 11.3367 12.9447 11.458 12.674C11.5887 12.394 11.738 12.1653 11.906 11.988C12.0833 11.8107 12.3167 11.61 12.606 11.386C12.942 11.1247 13.1893 10.896 13.348 10.7C13.5067 10.4947 13.586 10.2427 13.586 9.944C13.586 9.636 13.4833 9.356 13.278 9.104C13.082 8.84267 12.69 8.712 12.102 8.712C11.486 8.712 11.066 8.866 10.842 9.174C10.6273 9.482 10.52 9.82267 10.52 10.196L10.534 10.574H8.826C8.78867 10.3967 8.77 10.2333 8.77 10.084C8.77 9.552 8.90067 9.07133 9.162 8.642C9.42333 8.20333 9.81067 7.858 10.324 7.606C10.8467 7.354 11.4813 7.228 12.228 7.228C13.1987 7.228 13.9687 7.44733 14.538 7.886C15.1073 8.31533 15.392 8.92667 15.392 9.72C15.392 10.168 15.322 10.5507 15.182 10.868C15.042 11.1853 14.874 11.442 14.678 11.638C14.482 11.834 14.2253 12.0533 13.908 12.296C13.544 12.576 13.2733 12.8233 13.096 13.038C12.928 13.2527 12.844 13.528 12.844 13.864V14.326H11.276V13.654ZM11.192 15.222H12.928V17H11.192V15.222Z" fill="black"/>
                                    </svg>
                                    </span>
                                 </a>
                            </td>
                            <td class="text-center">
                                <div class="justify-content-md-center form-check form-check-custom form-check-solid">
                                    <input [checked]="this.CP_PI" (change)="checkboxChange($event, 'sharing-personal-information-commercial-purpose')" class="form-check-input" type="checkbox" value=""/>
                                </div>
                            </td>
                            <td class="text-center">
                                <div class="justify-content-md-center form-check form-check-custom form-check-solid">
                                    <input [checked]="this.CP_BH" (change)="checkboxChange($event, 'sharing-browsing-history-commercial-purpose')" class="form-check-input" type="checkbox" value=""/>
                                </div>
                            </td>
                            <td class="text-center">
                                <div class="justify-content-md-center form-check form-check-custom form-check-solid">
                                    <input [checked]="this.CP_LH" (change)="checkboxChange($event, 'sharing-location-history-commercial-purpose')" class="form-check-input" type="checkbox" value=""/>
                                </div>
                            </td>
                            <td class="text-center">
                                <div class="justify-content-md-center form-check form-check-custom form-check-solid">
                                    <input [checked]="this.CP_I" (change)="checkboxChange($event, 'sharing-interests-commercial-purpose')" class="form-check-input" type="checkbox" value=""/>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td i18n>Research</td>
                            <td>
                                <a placement="top" ngbTooltip="{{this.research_trans}}" class="btn btn-icon btn-light"><span class="svg-icon svg-icon-1"><svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <rect opacity="0.3" x="2" y="2" width="20" height="20" rx="10" fill="black"/>
                                    <path d="M11.276 13.654C11.276 13.2713 11.3367 12.9447 11.458 12.674C11.5887 12.394 11.738 12.1653 11.906 11.988C12.0833 11.8107 12.3167 11.61 12.606 11.386C12.942 11.1247 13.1893 10.896 13.348 10.7C13.5067 10.4947 13.586 10.2427 13.586 9.944C13.586 9.636 13.4833 9.356 13.278 9.104C13.082 8.84267 12.69 8.712 12.102 8.712C11.486 8.712 11.066 8.866 10.842 9.174C10.6273 9.482 10.52 9.82267 10.52 10.196L10.534 10.574H8.826C8.78867 10.3967 8.77 10.2333 8.77 10.084C8.77 9.552 8.90067 9.07133 9.162 8.642C9.42333 8.20333 9.81067 7.858 10.324 7.606C10.8467 7.354 11.4813 7.228 12.228 7.228C13.1987 7.228 13.9687 7.44733 14.538 7.886C15.1073 8.31533 15.392 8.92667 15.392 9.72C15.392 10.168 15.322 10.5507 15.182 10.868C15.042 11.1853 14.874 11.442 14.678 11.638C14.482 11.834 14.2253 12.0533 13.908 12.296C13.544 12.576 13.2733 12.8233 13.096 13.038C12.928 13.2527 12.844 13.528 12.844 13.864V14.326H11.276V13.654ZM11.192 15.222H12.928V17H11.192V15.222Z" fill="black"/>
                                    </svg>
                                    </span>
                                 </a>
                            </td>
                            <td class="text-center">
                                <div class="justify-content-md-center form-check form-check-custom form-check-solid">
                                    <input [checked]="this.RE_PI" (change)="checkboxChange($event, 'sharing-personal-information-research')" class="form-check-input" type="checkbox" value=""/>
                                </div>
                            </td>
                            <td class="text-center">
                                <div class="justify-content-md-center form-check form-check-custom form-check-solid">
                                    <input [checked]="this.RE_BH" (change)="checkboxChange($event, 'sharing-browsing-history-research')" class="form-check-input" type="checkbox" value=""/>
                                </div>
                            </td>
                            <td class="text-center">
                                <div class="justify-content-md-center form-check form-check-custom form-check-solid">
                                    <input [checked]="this.RE_LH" (change)="checkboxChange($event, 'sharing-location-history-research')" class="form-check-input" type="checkbox" value=""/>
                                </div>
                            </td>
                            <td class="text-center">
                                <div class="justify-content-md-center form-check form-check-custom form-check-solid">
                                    <input [checked]="this.RE_I" (change)="checkboxChange($event, 'sharing-interests-research')" class="form-check-input" type="checkbox" value=""/>
                                </div>
                            </td>
                        </tr>
                            
                    
                    </tbody>
                </table>

                <div class="p-2 mt-5 bd-highlight text-center">
                    <a (click)="openSubConsentsModal(subconsents_modal)" class="mb-2 btn btn-outline btn-outline-dashed btn-outline-primary btn-active-light-primary btn-flex btn-primary">
                       <span class="svg-icon svg-icon-2x svg-icon-gray-900">
                        <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <rect opacity="0.3" x="2" y="2" width="20" height="20" rx="5" fill="black"/>
                            <path d="M10.4343 12.4343L8.75 10.75C8.33579 10.3358 7.66421 10.3358 7.25 10.75C6.83579 11.1642 6.83579 11.8358 7.25 12.25L10.2929 15.2929C10.6834 15.6834 11.3166 15.6834 11.7071 15.2929L17.25 9.75C17.6642 9.33579 17.6642 8.66421 17.25 8.25C16.8358 7.83579 16.1642 7.83579 15.75 8.25L11.5657 12.4343C11.2533 12.7467 10.7467 12.7467 10.4343 12.4343Z" fill="black"/>
                            </svg>                                                 
                       </span>
                       <span class="d-flex flex-column align-items-start ms-2">
                       <span class="fs-3 fw-bolder" i18n>Interest consents</span>
                       <span class="fs-7" i18n>Select interests to share</span>
                       </span>
                    </a>
                 </div>


             </div>

        </div>
    </div>
    <div class="row mt-5">
        <app-user-profiling></app-user-profiling>
    </div>



    <!-- ACCEPTED OFFERS - MISSED OFFERS -->
    <!-- <div class="row mt-5">
        <div class="col">
            <div class="card card-bordered card-flush shadow-sm">
                <div class="card-header justify-content-md-center">
                    <h3 class="card-title " i18n>Accepted offers</h3>
                </div>
                <div class="card-body top-card-label">
                    <div class="container">
                        <div class="row">
                            <span class="green-number text-center text-primary m-3">13</span>  
                        </div>
                    </div>
                </div>
                <div class="card-footer d-flex justify-content-end">
                    <a routerLink="/personal-data-safe/browsing-history" class="btn btn-sm btn-primary"><i class="las la-file-export fs-1 me-2" i18n></i>Details</a>
                 </div>
            </div>
        </div>
        <div class="col">
            <div class="card card-bordered card-flush shadow-sm">
                <div class="card-header justify-content-md-center">
                    <h3 class="card-title " i18n>Missed offers</h3>
                </div>
                <div class="card-body top-card-label">
                    <div class="container">
                        <div class="row">
                            <span class="green-number text-center text-primary m-3">21</span>  
                        </div>
                    </div>
                </div>
                <div class="card-footer d-flex justify-content-end">
                    <a routerLink="/personal-data-safe/browsing-history" class="btn btn-sm btn-primary"><i class="las la-file-export fs-1 me-2" i18n></i>Details</a>
                 </div>
            </div>
        </div>
    </div> -->
 </div>



 <!-- SUB CONSENTS MODAL START -->
<ng-template #subconsents_modal let-modal>
    <div class="modal-header">
        <h4 class="modal-title" id="modal-title" i18n>Interests list</h4>
        <button type="button" class="close" aria-describedby="modal-title" (click)="modal.dismiss('Cross click')">
        <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body d-flex justify-content-center">
        <div class="container">
            <div class="row">
            </div>
            <div class="row mt-5">
                <table class="table table-rounded border gy-7 gs-7">
                    <thead>
                        <tr class="fw-bold fs-6 text-gray-800 border-bottom border-gray-200">
                            <th class="text-center"i18n>Interest name</th>
                            <th class="text-center" i18n>Consent?</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let row of this.subconsentsReceived">
                            <td>{{row.category}}</td>
                            <td class="text-center" >
                                <div class="justify-content-md-center form-check form-check-custom form-check-solid">
                                    <input [checked]="row.active" (change)="checkboxSubconsentsChange($event, row.iabCode)" class="form-check-input" type="checkbox" value=""/>
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <div class="mb-3" >
            <a class="ml-5 btn btn-sm btn-primary " (click)="modal.dismiss('Ok')" i18n>Close</a>
        </div>      

    </div>

</ng-template>
<!-- SUB CONSENTS MODAL END -->

<ngx-spinner></ngx-spinner>
